{
	"info": {
		"_postman_id": "721d5504-301f-488d-a25b-5e78769eac5a",
		"name": "CezenPBX_API",
		"schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json",
		"_exporter_id": "29498098"
	},
	"item": [
		{
			"name": "create a new endpoint",
			"request": {
				"method": "POST",
				"header": [],
				"body": {
					"mode": "raw",
					"raw": "{\n  \"id\": \"1005\",\n// \"transport\": \"transport-udp\",\n//   \"context\": \"default\",\n//   \"disallow\": \"all\",\n//   \"allow\": \"ulaw,alaw\",\n//   \"directMedia\": \"no\",\n  \"connectedLineMethod\": null,\n  \"callerid\": null,\n  \"dtmfMode\": null,\n//   \"mohsuggest\": \"default\",\n  \"mailboxes\": null\n}\n\n// {\n//   \"id\": \"1004\",\n//   \"transport\": \"transport-udp\",\n//   \"aors\": \"1004\",\n//   \"auth\": \"1004\",\n//   \"context\": \"default\",\n//   \"disallow\": \"all\",\n//   \"allow\": \"ulaw,alaw\",\n//   \"directMedia\": \"no\",\n//   \"connectedLineMethod\": null,\n//   \"callerid\": \"User <1004>\",\n//   \"dtmfMode\": null,\n//   \"mohsuggest\": \"default\",\n//   \"mailboxes\": \"1004@default\"\n// }",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "http://localhost:8081/cezen/add_user",
					"protocol": "http",
					"host": [
						"localhost"
					],
					"port": "8081",
					"path": [
						"cezen",
						"add_user"
					]
				}
			},
			"response": []
		},
		{
			"name": "create a new extension",
			"request": {
				"method": "POST",
				"header": [],
				"body": {
					"mode": "raw",
					"raw": "{\n  \"context\": \"default\",\n  \"extension\": \"1005\",\n  \"priority\": 1,\n  \"app\": \"Dial\",\n  \"appdata\": \"PJSIP/1005,20,m(default)\"\n}\n",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "http://localhost:8081/cezen/add_extension",
					"protocol": "http",
					"host": [
						"localhost"
					],
					"port": "8081",
					"path": [
						"cezen",
						"add_extension"
					]
				}
			},
			"response": []
		},
		{
			"name": "set_password",
			"request": {
				"method": "POST",
				"header": [],
				"body": {
					"mode": "raw",
					"raw": "{\n  \"id\": \"1005\",\n  \"authType\": \"userpass\",\n  \"userName\": \"1005\",\n  \"password\": \"12345\",\n  \"md5Cred\": null,\n  \"realm\": null\n}\n",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "http://localhost:8081/cezen/set_password",
					"protocol": "http",
					"host": [
						"localhost"
					],
					"port": "8081",
					"path": [
						"cezen",
						"set_password"
					]
				}
			},
			"response": []
		},
		{
			"name": "SetAORS",
			"request": {
				"method": "POST",
				"header": [],
				"body": {
					"mode": "raw",
					"raw": "{\n    \"id\": \"1005\",\n    \"maxContacts\": 1\n}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "http://localhost:8081/cezen/set_aors",
					"protocol": "http",
					"host": [
						"localhost"
					],
					"port": "8081",
					"path": [
						"cezen",
						"set_aors"
					]
				}
			},
			"response": []
		},
		{
			"name": "DeleteExtension",
			"request": {
				"method": "DELETE",
				"header": [],
				"url": {
					"raw": "http://localhost:8081/cezen/delete_extension?sipNumber=testEndPoint",
					"protocol": "http",
					"host": [
						"localhost"
					],
					"port": "8081",
					"path": [
						"cezen",
						"delete_extension"
					],
					"query": [
						{
							"key": "sipNumber",
							"value": "testEndPoint"
						}
					]
				}
			},
			"response": []
		},
		{
			"name": "Add_a_global_extension_feature",
			"request": {
				"method": "PUT",
				"header": [],
				"body": {
					"mode": "raw",
					"raw": "{\n  \"context\": \"default\",\n  \"extension\": \"w\",\n  \"priority\": 5,\n  \"app\": \"Dial\",\n  \"appdata\": \"W conf\"\n}\n",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "http://localhost:8081/cezen/add_feature",
					"protocol": "http",
					"host": [
						"localhost"
					],
					"port": "8081",
					"path": [
						"cezen",
						"add_feature"
					]
				}
			},
			"response": []
		}
	]
}